<div ng-controller="homeController as vm">
  <h1>Parent</h1>
  <button ng-click='vm.sayHi()'>BroadCast</button>
  <div ng-repeat='item in vm.fromChild'>
    <p>{{ item.name }}</p>
  </div>

  <div ng-controller='homeController2 as vm'>
    <h1>Child</h1>
      <div ng-repeat='item in vm.fromParent'>
          <p>{{ item.name }}</p>
        </div>
      <button ng-click='vm.sendDataToParent()'>Send Data to parent</button>
  </div>
</div>



